Implementation instructions for Tracking
=================================================

Requirements
------------

Import the casper utilities, and dapi libraries from the SDK git hub repo:

git://github.zynga.com/sdk/zynga-android-sdk.git


Install Tracking
----------------
Game Ids should come from the following source:

https://zyntranet.corp.zynga.com/display/Stats/Constants#Constants-GameIDs


During application startup, as soon as possible, you should call following method.
This should be done every time the game is launched.

	    	Tracking tracker = Tracking.getInstance(Context context);
	    	tracker.appLaunch(String gameId);


Ad Click Tracking
-----------------
Game Ids should come from the following source:

https://zyntranet.corp.zynga.com/display/Stats/Constants#Constants-GameIDs


This is already done by X-Promo / Inbox, however if a title is using some other
promotional piece and needs to track ad clicks the following can be used:

	    	Tracking tracker = Tracking.getInstance(Context context);
	    	// One of the following two:
	    	tracker.adClicked(String gameId, String destGameId, String destGame);
	    	tracker.adClicked(String gameId, String destGameId, String destGame, String source, String affiliate, String creative, String campaign);
